# long::parse

Converts the specified string representation of a number to its 64-bit signed integer equivalent.

### Usage

`long long::parse(s)`

### Parameters

Name | Type | Description
--- | --- | ---
s | string | A string containing a number to convert.

### Return Value

A 64-bit signed integer equivalent to the number contained in s.

### Exceptions

The function will fail in any of the following circumstances:

- s is not of the correct format.
- s represents a number less than `MinValue` or greater than `MaxValue`.

### Remarks

The NumberFormatInfo for the invariant culture is used to supply formatting information about s.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)